import { PropertyKeyType } from '@overflow/commons/core/type';

export class PropertyValue {
  private readonly _name: PropertyKeyType;
  private readonly _value: any;

  public constructor(name: PropertyKeyType, value: any) {
    this._name = name;
    this._value = value;
  }

  public get name(): PropertyKeyType {
    return this._name;
  }
  public get value(): any {
    return this._value;
  }
}
