export * from './injectables';
export * from './json_sources';
export * from './redux_configuration';
export * from './rest_api_configuration';
export * from './rpc_api_configuration';
export * from './webapp_configuration';

import { ClassType } from '@overflow/commons/core/type';
import MemberReducer from '@overflow/modules/member/reducer/member_reducer';


const reducers: ClassType[] = [
  MemberReducer,
];

const state: any = {

};

export interface ReduxConfig {
  state: any;
  reducers: ClassType[];
}

const reduxConfig: ReduxConfig = {
  state: state,
  reducers: reducers,
};

// Configuration
export interface WebAppConfig {
  redux: ReduxConfig;
}

const config: WebAppConfig = {
  redux: reduxConfig,
};

export default config;
